Adobe Commerce 릴리스의 업데이트된 라이프사이클 정책에 대한 FAQ

무엇이 바뀌고 있습니까?

Adobe Commerce은 다음 부 소프트웨어 릴리스의 일반 공급 날짜로부터 최소 12개월 동안 부 릴리스에 대한 품질 수정 사항을 제공합니다. 이 기간 동안 품질 수정 사항을 제공하는 방식은 다음과 같이 변경됩니다.

  • 이전 정책: 현재 12개월의 EOS 기간에 있는 이전 라인에 대한 품질 수정 사항은 분기별 패치 릴리스를 통해 제공되므로 분기별 패치는 보안과 품질을 조합합니다.
  • 새 정책: 가장 최신 부 릴리스 라인인 2.4부터 이전에 지원되는 라인(2.3)에 대한 릴리스 패치가 보안 전용으로 이동합니다. 2.4와 같은 마이너 릴리스와 이후 새로운 마이너 릴리스 라인의 출시 후 12개월 동안 이전에 지원된 라인에 대한 품질 수정 사항을 계속 제공할 예정이지만, 이러한 수정 사항은 다음을 통해 사용할 수 있습니다. 품질 패치 도구(QPT) 중요한 문제에만 집중해야 합니다.

이 정책은 언제 시행됩니까?

Adobe Commerce 2.3.6은 2020년 10월 15일에 출시될 예정이며, 품질 + 보안을 모두 포함하는 Adobe Commerce 2.3의 마지막 패치 릴리스가 될 예정입니다. 2.3.6 이후 2.3.x 라인은 보안 전용이 되며 2.3의 중요 품질 문제는 QPT를 통해 해결할 수 있습니다.

NOTE
2.3의 정식 버전을 출시할 때는 PHP 또는 Elasticsearch과 같은 기술 스택에 대한 규정 준수를 유지해야 하는 경우뿐입니다. 이것은 2021년 2사분기에 PHP 7.4의 필수 업데이트와 함께 발생하고 있으며, 우리는 라인을 2.3.7로 늘릴 것입니다. 자세한 내용은 다음을 참조하십시오. Adobe Commerce 2.3.x 릴리스 라인에 대한 PHP 7.4 지원 DevBlog 게시물.

보안 전용 릴리스란 무엇입니까?

보안 전용 릴리스에는 보안 수정 사항만 포함되고 품질 수정은 포함되지 않습니다. 단, 보안 전용 릴리스에는 Adobe Commerce을 실행하는 데 있어 특정 핫픽스가 절대적으로 중요하다고 판단되는 경우 해당 핫픽스가 포함될 수 있습니다.

최신 라인(발행일 기준, 2.4)에 대한 보안 전용 릴리스가 유지됩니까?

Adobe은 최신 릴리스 라인에도 보안 전용 릴리스를 계속 사용할 수 있습니다. 이러한 프로세스의 개요는에 나와 있습니다. 새로운 보안 전용 패치 릴리스 소개 DevBlog 게시물.

품질 패치 도구란 무엇입니까?

다음을 참조하십시오. 품질 패치 툴 출시: 품질 패치를 셀프서비스할 수 있는 새로운 툴 지원 기술 자료의 문서.

누가 이 새로운 정책을 사용하는 것을 고려해야 하는가?

새로운 정책은 이러한 전략적 주기 동안 보안과 중요한 품질을 유지할 수 있도록 하는 동시에 상인들이 Adobe Commerce의 연간 개발 비용에 대해 전략적으로 계획할 수 있는 경로를 만들기 위한 것이다. 무엇보다 보안에 신경 쓰고, 대체로 나이 들고 지지받는 라인의 안정성에 만족하는 상인들도 활용할 수 있다. 판매자는 이러한 업그레이드를 보다 쉽게 계획하고 예산을 편성할 수 있습니다.

가맹점은 여전히 최신 라인으로 업그레이드해야 합니까?

궁극적으로 모든 판매자는 여전히 시기 적절한 방식으로 최신 Adobe Commerce 라인을 채택할 계획을 우선적으로 수립해야 합니다. 새로운 보안 전용 라인 및 QPT 도구는 판매자를 위한 전략적 업그레이드 로드맵을 대체하기 위한 것이 아니라, 판매자가 업그레이드 로드맵을 계획할 때 유연성을 제공하고 전체 업그레이드를 구현하지 않고도 보안/품질 문제에 신속하게 대응할 수 있는 수단을 제공합니다.

최신 라인이 아닌 지원되는 부 버전에 대한 품질 수정 사항은 어떻게 받을 수 있습니까?

다음을 통해 수정 사항을 사용할 수 있습니다. 품질 패치 도구.

최신 제품에서 품질 수정을 받으려면 어떻게 해야 합니까?

현재 라인은 분기별 업데이트의 일부로 품질을 가집니다. 릴리스 간에는 최신 라인에서 수정 사항에 대해 지원 센터에 문의하면 QPT를 통해 해당 릴리스가 제공됩니다. 그런 다음 해당 수정 사항이 있는 릴리스로 업그레이드하면 분기별 패치를 통해 적용됩니다.

최신 라인이 아닌 지원되는 부 버전에서 수정되는 품질 문제는 무엇입니까?

핵심 흐름을 손상시키는 주요 품질 문제만 이전 줄(2.3)에서 수정되고 QPT를 통해 전달됩니다.

최신 버전이 아닌 지원되는 부 버전에 대해 품질 수정 사항이 분기별 릴리스의 일부가 됩니까?

예. 보안 전용 제품군의 일부로 해당 제품군에 대해 Adobe이 "핫픽스"라고 부르는 항목을 릴리스합니다. 이는 Adobe Commerce 애플리케이션에 영향을 주는 매우 중요한 문제입니다.

보안 개선 사항과 QPT가 동시에 제공됩니까?

보안 전용 라인은 분기별 릴리스 일정을 따르며 -p1 명명법과 함께 릴리스됩니다. 예 2.3.6-p1. 품질 문제가 검색 및 수정되어 QPT를 통해 사용할 수 있게 되면 품질이 임시로 릴리스됩니다.

최신 줄이나 QPT가 아닌 지원되는 부 버전에서 해결되지 않는 품질 문제가 있는 경우 어떻게 해야 합니까?

이전 라인이 보안 전용이라는 것은 주된 혜택이 보안 유지라는 것을 의미한다. 핵심 흐름을 손상시키는 주요 문제에 대한 패치만 QPT를 통해 사용할 수 있습니다.

핵심 흐름에 영향을 주지 않거나 해결 방법이 있는 문제는 가장 최근 줄에서만 해결됩니다. Adobe은 중요 수정 사항과 중요하지 않은 수정 사항을 모두 원하는 사람이 가장 최근 줄로 이동할 것을 권장합니다.

보안 지원이 종료될 때까지 보안 전용 라인에 남아 있는 경우 업그레이드가 더 비싸거나 어려울까요?

이론적으로, 그들은 많은 수의 품질 패치를 채택하지 않는 한 개발 시간 면에서 판매자의 비용으로 동일해야 합니다. 판매자가 QPT 도구를 통해 다수의 패치가 필요하거나 필요한 경우 최신 버전의 Adobe Commerce으로 업그레이드하는 것을 우선적으로 고려하는 것이 좋습니다. 현재 버전의 Adobe Commerce으로 업그레이드하는 대신 많은 수의 품질 패치를 채택하면 보안 전용 제품군의 지원이 종료되면 개발 비용과 업그레이드의 복잡성을 높일 수 있습니다.

QPT를 통해 제공되는 품질 패치의 양을 제한해야 하는 이유는 무엇입니까?

많은 개별 품질 수정 사항을 적용하여 Adobe Commerce 코드를 보다 복잡하게 만듭니다. 추가된 복잡성으로 인해 최신 릴리스 라인으로 업그레이드할 때 예측할 수 없는 변경 사항이 발생할 수 있습니다. 따라서 QPT를 제한적으로 사용하고 가장 중요한 수정 사항에만 사용하는 것이 좋습니다.

기술 스택에 대한 규정 준수는 어떻습니까?

릴리스 라인의 수명 동안 규정을 준수하도록 업그레이드해야 하는 PHP 또는 Elasticsearch과 같은 다양한 기술 스택에 대한 업데이트가 있을 것입니다. 우리는 가능한 한 상인들에게 그것들이 오고 있다는 것을 통지할 것입니다.

참고: 2021년 2분기에는 규정 준수를 유지하기 위해 2.3.x 라인에서 PHP와 Redis를 업데이트해야 합니다. 이렇게 하면 줄이 2.3.7로 증가합니다. 자세한 내용은 다음을 참조하십시오. Adobe Commerce 2.3.x 릴리스 라인에 대한 PHP 7.4 지원 DevBlog 게시물.

recommendation-more-help
8bd06ef0-b3d5-4137-b74e-d7b00485808a